\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}
\begin{center}
\includegraphics[width=100.92mm,height=10.16mm]{./Analysis_of_AQM_queues_with_queue_size_based_packet_dropping_images/image001.eps}
\end{center}
572

with
\begin{center}
$\displaystyle \sum_{k=0}^{b-1}P_{k}^{*}=1$,   (46)
\end{center}
and (42) yields
\begin{center}
$c+P_{b}'=1$,   (47)
\end{center}
and we have to find $c$ now.

The probability that the system is empty is
\begin{center}
$P_{0}=P_{0}'=1-\rho_{c}$,   (48)
\end{center}
where $\rho_{c}$ is the carried load of the system
\begin{center}
$\rho_{c}=\rho(1-P_{B})$ ,   (49)
\end{center}
and $P_{B}$ is the blocking probability
\begin{center}
$P_{B}=\displaystyle \sum_{k=0}^{b}d_{k}P_{k}'$.   (50)
\end{center}
(Note that in our system the blocking probability is not equal to the full-buffer probability, i.e., $P_{B} \neq P_{b}.$)

Rewriting (48), we obtain
\begin{center}
$P_{B}=1-\displaystyle \frac{1-P_{0}'}{\rho}$.   (51)
\end{center}
Combining (51), (50), (42) and (47) yields
\begin{center}
$\displaystyle \sum_{k=0}^{b-1}d_{k}cP_{k}^{*}+1-c=1-\frac{1-cP_{0}^{*}}{\rho}$,   (52)
\end{center}
and, as a consequence,
\begin{center}
$c=\displaystyle \ \frac{1}{P_{0}^{*}+\rho-\rho\sum_{k=0}^{b-1}d_{k}P_{k}^{*}}$.   (53)
\end{center}
Taking into account (42) we get

$P_{k}'=\displaystyle \frac{P_{k}^{*}}{P_{0}^{*}+\rho-\rho\sum_{i=0}^{b-1}d_{i}P_{i}^{*}}, 0\leq k\leq b-1$, (54) while using (47) we obtain
\begin{center}
$P_{b}'=1-\displaystyle \frac{1}{P_{0}^{*}+\rho-\rho\sum_{i=0}^{b-1}d_{i}P_{i}^{*}}$.   (55)
\end{center}
Then, using (43) we obtain

$P_{k}'=\displaystyle \frac{\hat{\pi}_{k}/(1-d_{k})}{\hat{\pi}_{0}/(1-d_{0})+\rho h-\rho\sum_{i=0}^{b-1}d_{i}\hat{\pi}_{i}/(1-d_{i})},$
\begin{center}
$0\leq k\leq b-1$,   (56)
\end{center}
$P_{b}'=1-\displaystyle \frac{h}{\hat{\pi}_{0}/(1-d_{0})+\rho h-\rho\sum_{i=0}^{b-1}d_{i}\hat{\pi}_{i}/(1-d_{i})},$ (57) which, combined with (39) and (41), completes the proof.
$$
\blacksquare
$$
{\it A. Chydzi\'{n}ski and {\Lstrok}. Chr\'{o}st}

5. Loss ratio and throughput

Besides the queue size distribution, there are two other characteristics that are important from a practical point of view (especially when dealing with AQM in Internet ro- uters), namely, the loss ratio and system throughput.

The loss ratio is the long-run fraction of jobs (pac- kets) that are dropped. As it is equivalent to the probabi- lity that an arriving job is dropped, $P_{B}$, it can be easily calculated using the formula (51) with $P\text{\'{O}}=P_{0}$ obtained by means of Theorem 2.

The throughput of the system is the average rate of the output traffic and is equal to
\begin{center}
$\gamma=\lambda(1-P_{B})$ .   (58)
\end{center}
Therefore, it can also be computed by means of (51) and

Theorem 2.
$$
\circ(D\circ \mathrm{L}\frac{\mathrm{z}}{\mathrm{L}}C\angle \mathrm{L}\mathrm{K}\square  \mathrm{m}\triangleleft\frac{}{\mathrm{m}}\frac{\vdash}{\lrcorner}\succ\ 0.20.40.60.8\ \ovalbox{\tt\small REJECT}_{\mathrm{G}\mathrm{R}\mathrm{E}\mathrm{D}}^{\mathrm{R}\mathrm{E}\mathrm{M}}\mathrm{N}\mathrm{I}\mathrm{R}\mathrm{E}\mathrm{D}
$$
$$
0\ 1\ 2\ 3\ 4\ 5\ 6\ 7\ 8\ 9
$$
OUEUE SIZE

Fig. 1. Dropping functions used in numerical examples.

6. Numerical examples

In this section we demonstrate queue size distributions and loss ratios for different system loads and dropping functions. We assume that the service time, $d$, is constant and equal to 1. Manipulating $\lambda$ we can change the load $\rho=\lambda d$ offered to the system. We consider three cases:

(a) $\rho=1$ (critically loaded system),

(b) $\rho=2$ (overloaded system),

(c) $\rho=0.5$ (underloaded system),

obtained for $\lambda= 1, \lambda=2$ and $\lambda=0.5$, respectively. We assume that $b = 10$ and use the following four dropping functions:

(A) the RED dropping function:

$d_{n}= \left\{\begin{array}{ll}
0 & \mathrm{i}\mathrm{f}\ n\leq 3,\\
0.\ 11917n-0.35752 & \mathrm{i}\mathrm{f}\ 3<n<10,\\
1 & \mathrm{i}\mathrm{f}\ n\geq\ 10,
\end{array}\right.$

(59)
\end{document}
